export declare type IParams = {
    [key: string]: any;
} | null;
export interface IIncomingEvent {
    httpMethod: string;
    headers: IParams;
    pathParameters: IParams;
    queryStringParameters: IParams;
    requestContext?: IParams;
    body?: string;
}
export interface IOutgoingEvent {
    statusCode?: number;
    headers?: {
        [key: string]: string | boolean;
    };
    body?: string;
}
export declare function getParamValue(params: IParams, key: string, defaultValue?: any): any;
