import { IIncomingEvent } from "./event";
export interface IRequest {
    method: string;
    body: string | null;
    context(key: string): any;
    header(key: string, defaultValue?: string): string;
    param(key: string, defaultValue?: any): any;
    query(key: string, defaultValue?: any): any;
}
export declare class Request implements IRequest {
    private event;
    constructor(event: IIncomingEvent);
    readonly method: string;
    readonly body: string;
    header(key: string, defaultValue?: string): string;
    context(key: string): any;
    param(key: string, defaultValue?: any): any;
    query(key: string, defaultValue?: any): any;
}
