"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ErrorStatuses;
(function (ErrorStatuses) {
    ErrorStatuses[ErrorStatuses["BadRequest"] = 400] = "BadRequest";
    ErrorStatuses[ErrorStatuses["Unauthorized"] = 401] = "Unauthorized";
    ErrorStatuses[ErrorStatuses["PaymentRequired"] = 402] = "PaymentRequired";
    ErrorStatuses[ErrorStatuses["Forbidden"] = 403] = "Forbidden";
    ErrorStatuses[ErrorStatuses["NotFound"] = 404] = "NotFound";
    ErrorStatuses[ErrorStatuses["MethodNotAllowed"] = 405] = "MethodNotAllowed";
    ErrorStatuses[ErrorStatuses["NotAcceptable"] = 406] = "NotAcceptable";
    ErrorStatuses[ErrorStatuses["ProxyAuthenticationRequired"] = 407] = "ProxyAuthenticationRequired";
    ErrorStatuses[ErrorStatuses["RequestTimeout"] = 408] = "RequestTimeout";
    ErrorStatuses[ErrorStatuses["Conflict"] = 409] = "Conflict";
    ErrorStatuses[ErrorStatuses["Gone"] = 410] = "Gone";
    ErrorStatuses[ErrorStatuses["LengthRequired"] = 411] = "LengthRequired";
    ErrorStatuses[ErrorStatuses["PreconditionFailed"] = 412] = "PreconditionFailed";
    ErrorStatuses[ErrorStatuses["PayloadTooLarge"] = 413] = "PayloadTooLarge";
    ErrorStatuses[ErrorStatuses["URITooLong"] = 414] = "URITooLong";
    ErrorStatuses[ErrorStatuses["UnsupportedMediaType"] = 415] = "UnsupportedMediaType";
    ErrorStatuses[ErrorStatuses["RangeNotSatisfiable"] = 416] = "RangeNotSatisfiable";
    ErrorStatuses[ErrorStatuses["ExpectationFailed"] = 417] = "ExpectationFailed";
    ErrorStatuses[ErrorStatuses["ImATeapot"] = 418] = "ImATeapot";
    ErrorStatuses[ErrorStatuses["MisdirectedRequest"] = 421] = "MisdirectedRequest";
    ErrorStatuses[ErrorStatuses["UnprocessableEntity"] = 422] = "UnprocessableEntity";
    ErrorStatuses[ErrorStatuses["Locked"] = 423] = "Locked";
    ErrorStatuses[ErrorStatuses["FailedDependency"] = 424] = "FailedDependency";
    ErrorStatuses[ErrorStatuses["UnorderedCollection"] = 425] = "UnorderedCollection";
    ErrorStatuses[ErrorStatuses["UpgradeRequired"] = 426] = "UpgradeRequired";
    ErrorStatuses[ErrorStatuses["PreconditionRequired"] = 428] = "PreconditionRequired";
    ErrorStatuses[ErrorStatuses["TooManyRequests"] = 429] = "TooManyRequests";
    ErrorStatuses[ErrorStatuses["RequestHeaderFieldsTooLarge"] = 431] = "RequestHeaderFieldsTooLarge";
    ErrorStatuses[ErrorStatuses["UnavailableForLegalReasons"] = 451] = "UnavailableForLegalReasons";
    ErrorStatuses[ErrorStatuses["InternalServerError"] = 500] = "InternalServerError";
    ErrorStatuses[ErrorStatuses["NotImplemented"] = 501] = "NotImplemented";
    ErrorStatuses[ErrorStatuses["BadGateway"] = 502] = "BadGateway";
    ErrorStatuses[ErrorStatuses["ServiceUnavailable"] = 503] = "ServiceUnavailable";
    ErrorStatuses[ErrorStatuses["GatewayTimeout"] = 504] = "GatewayTimeout";
    ErrorStatuses[ErrorStatuses["HTTPVersionNotSupported"] = 505] = "HTTPVersionNotSupported";
    ErrorStatuses[ErrorStatuses["VariantAlsoNegotiates"] = 506] = "VariantAlsoNegotiates";
    ErrorStatuses[ErrorStatuses["InsufficientStorage"] = 507] = "InsufficientStorage";
    ErrorStatuses[ErrorStatuses["LoopDetected"] = 508] = "LoopDetected";
    ErrorStatuses[ErrorStatuses["BandwidthLimitExceeded"] = 509] = "BandwidthLimitExceeded";
    ErrorStatuses[ErrorStatuses["NotExtended"] = 510] = "NotExtended";
    ErrorStatuses[ErrorStatuses["NetworkAuthenticationRequired"] = 511] = "NetworkAuthenticationRequired";
})(ErrorStatuses = exports.ErrorStatuses || (exports.ErrorStatuses = {}));
