"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HEADER_ALLOW_ORIGIN = "Access-Control-Allow-Origin";
exports.HEADER_ALLOW_CREDENTIALS = "Access-Control-Allow-Credentials";
function createCorsFormatter(options) {
    options = Object.assign({
        origin: "*",
        credentials: true,
    }, options);
    return () => ({
        headers: {
            [exports.HEADER_ALLOW_ORIGIN]: options.origin,
            [exports.HEADER_ALLOW_CREDENTIALS]: options.credentials,
        },
    });
}
exports.createCorsFormatter = createCorsFormatter;
