"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createLambda(handler) {
    return (event, context, callback) => {
        Promise
            .resolve(null)
            .then(() => handler({
            event,
            context,
        }))
            .then((data) => callback(null, data))
            .catch((err) => callback(err, null));
    };
}
exports.createLambda = createLambda;
